<mat-stepper [linear]="isLinear" #stepper>
    <mat-step [stepControl]="firstFormGroup" label="Ubique el Edificio">
        <form [formGroup]="FormGroupBusqueda">
            <!--<ng-template matStepLabel>Ubique el lugar para certificar</ng-template>-->
            <mat-drawer-container class="example-container" autosize>
                <mat-drawer id="drawer" #drawer position="end" mode="side">
                    <div class="d-flex flex-column px-3">
                        <div class="d-flex justify-content-end">
                            <button (click)="drawer.toggle()" mat-icon-button>
                                <mat-icon>arrow_forward</mat-icon>
                            </button>
                        </div>
                        <div class="my-2">
                            <b>Buscar</b>
                        </div>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Distrito</mat-label>
                            <input formControlName="busdm" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>UV</mat-label>
                            <input formControlName="busuv" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Manzana</mat-label>
                            <input formControlName="busmz" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Lote</mat-label>
                            <input formControlName="buslt" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarGeografico()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarGeografico()">Limpiar</button>
                        </div>
                    </div>
                    <div class="d-flex flex-column px-3">
                        <div class="my-2">
                            <b>Buscar por coordenadas</b>
                        </div>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>X</mat-label>
                            <input formControlName="busx" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Y</mat-label>
                            <input formControlName="busy" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarCoordenada()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarCoordenada()">Limpiar</button>
                        </div>
                    </div>
                </mat-drawer>
                <div id="map" name="map" style="height: 430px" leaflet (leafletMapReady)="onMapReady($event)" (leafletClick)="agregarMarcadorEdificio($event)" [leafletOptions]="options"></div>
            </mat-drawer-container>
            <button (click)="drawer.toggle()" id="sidebar" class="d-none"></button>

            <div>
                <br />
                <div class="w-100 d-flex">
                    <button mat-button matStepperNext class="ml-auto" style="margin-left: auto">
                  Siguiente
                </button>
                </div>
            </div>
        </form>
    </mat-step>
    <mat-step [stepControl]="secondFormGroup" label="Datos de la Planta ">
        <div class="mt-4 rounded border border-2 w-100 p-4 mt-4">
            <form [formGroup]="miFormulario_Construccion">
                <div class="row">
                    <div class="col-md-8">
                        <input type="file" class="form-control"
                             (change)="cargarExcel($event)"
                             placeholder="Cargar plantilla excel"
                              accept=".csv,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel">
                    </div>
                    <div class="col-md-3">
                        <button mat-button color="primary" (click)="registrarProrrateo()">
                            REGISTRAR PRORRATEO
                        </button>
                    </div>                                    
                </div>

                <div class="text-center" *ngIf="cargando">
                    <div class="spinner-border" style="width: 3rem; height: 3rem;" role="status">
                        <span class="sr-only">Cargando...</span>
                    </div>
                </div>

                <div>
                    <div class="row mt-3">
                        <div class="col-md-6">
                            <mat-label><b>Nombre : </b></mat-label>
                            <mat-label>{{encabezado.nombre}}</mat-label>
                        </div>
                        <div class="col-md-3">
                            <mat-label><b>Sup. Terreno: </b></mat-label>
                            <mat-label>{{encabezado.superficie_terreno}}</mat-label>
                        </div>
                        <div class="col-md-3">
                            <mat-label><b>Sup. Exc. C_A_C : </b></mat-label>
                            <mat-label>{{encabezado.superficie_exclusiva_c_a_c}}</mat-label>
                        </div>                                           
                    </div>
                    <div class="row mt-3">
                        <div class="col-md-3">
                            <mat-label><b>Sup. Excl. S_A_C : </b></mat-label>
                            <mat-label>{{encabezado.superficie_exclusiva_s_a_c}}</mat-label>
                        </div>   
                        <div class="col-md-3">
                            <mat-label><b>Sup. Exclusiva : </b></mat-label>
                            <mat-label>{{encabezado.superficie_exclusiva}}</mat-label>
                        </div>
                        <div class="col-md-3">
                            <mat-label><b>Sup. Común Cubiertas : </b></mat-label>
                            <mat-label>{{encabezado.superficie_comun_cubiertas}}</mat-label>
                        </div>
                        <div class="col-md-3">
                            <mat-label><b>Sup. Construida Total : </b></mat-label>
                            <mat-label>{{encabezado.superficie_construida_total }}</mat-label>
                        </div>                     
                    </div>
                    <div class="row mt-3">
                        <div class="col-md-3">
                            <mat-label><b>UV : </b></mat-label>
                            <mat-label>{{encabezado.uv}}</mat-label>
                        </div>
                        <div class="col-md-3">
                            <mat-label><b>MZ : </b></mat-label>
                            <mat-label>{{encabezado.manzana}}</mat-label>
                        </div>
                        <div class="col-md-3">
                            <mat-label><b>Lote : </b></mat-label>
                            <mat-label>{{encabezado.lote}}</mat-label>
                        </div>
                    </div>                   
                </div>
                
                <table class="table mt-3">
                    <thead class="thead-dark">
                        <tr>
                            <th scope="col">Planta</th>
                            <th scope="col">Nro</th>
                            <th scope="col">Unidad</th>
                            <th scope="col">Sup. Total Exc.</th>
                            <th scope="col">Participación %</th>
                            <th scope="col">Area Común</th>
                            <th scope="col">Sup. Total</th>
                            <th scope="col">Fit. Por.</th>
                            <th scope="col">Fit. m2</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let item of detalles; let i=index">                            
                            <td>{{item.planta}}</td>
                            <td>{{item.nro}}</td>
                            <td>{{item.unidad }}</td>
                            <td>{{item.sup_total_exclusiva}}</td>
                            <td>{{item.participacion_porc }} </td>
                            <td>{{item.area_comun}}</td>
                            <td>{{item.sup_total}}</td>
                            <td>{{item.fit_porc}}</td>
                            <td>{{item.fit_m2}}</td>
                           
                        </tr>
                    </tbody>
                </table>

                <div class="w-100 d-flex justify-content-between">
                    <button mat-button matStepperPrevious>Anterior</button>
                    <button mat-button matStepperNext>Siguiente</button>
                </div>

                
            </form>
        </div>
    </mat-step>

    <!--
    <mat-step>
        <ng-template matStepLabel>Pago del trámite</ng-template>

        <div class="d-flex justify-content-center w-100">
            <div class="d-flex align-items-center w-75 flex-column justify-content-center">
                <div class="w-40 more-rounded verde">
                    <div class="w-100 d-flex justify-content-center align-items-center flex-column p-5">
                        <div class="my-3 pb-3 text-xl"><img class="w-100" src="./assets/QR/lgamscr.png" alt="" /></div>
                        <img class="w-100" src="https://upload.wikimedia.org/wikipedia/commons/d/d7/Commons_QR_code.png" alt="" />
                    </div>
                    <div class="w-100 py-5 px-3 text-center font-bold azul-front gris text-xl">
                        Escanea. Paga. Y listo.
                    </div>
                </div>
                <div class="w-50 gris">&nbsp;</div>
            </div>
        </div>

        
        <div class="d-flex justify-content-between">
            <button mat-button matStepperPrevious>Back</button>
            <button mat-button (click)="stepper.reset()">Reset</button>
        </div>
    </mat-step>
    -->
</mat-stepper>